summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: a2b26ac)
raw | patch | inline | side by side (parent: a2b26ac)
author | Alex Riesen <raa.lkml@gmail.com> | |
Mon, 28 Apr 2008 21:09:55 +0000 (23:09 +0200) | ||
committer | Junio C Hamano <gitster@pobox.com> | |
Mon, 28 Apr 2008 22:03:28 +0000 (15:03 -0700) |
At least the dash from Ubuntu's /bin/sh says:
test: 233: ==: unexpected operator
Signed-off-by: Alex Riesen <raa.lkml@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
test: 233: ==: unexpected operator
Signed-off-by: Alex Riesen <raa.lkml@gmail.com>
Signed-off-by: Junio C Hamano <gitster@pobox.com>
git-clone.sh | patch | blob | history |
diff --git a/git-clone.sh b/git-clone.sh
index 9e433c08086f3a80c91cc9dae1e48c88723b82f8..8c7fc7f6317113fcef923dcc625fb94e13fb77a0 100755 (executable)
--- a/git-clone.sh
+++ b/git-clone.sh
if test -n "$2"
then
dir="$2"
- test $# == 2 || die "excess parameter to git-clone"
+ test $# = 2 || die "excess parameter to git-clone"
else
# Derive one from the repository name
# Try using "humanish" part of source repo if user didn't specify one